<?php

namespace App\Http\Controllers;

use App\Models\Newproduct;
use Illuminate\Http\Request;

class NewproductController extends Controller
{

    public function show(){
        $products = Newproduct::all();
        return response($products);
    }

   

    public function productDetails($id){
        $result = Newproduct::where('id',$id)->first();
        if($result){
            return response([
                'data'=>$result,
                'status'=>'200'
            ]);
        }else{
            return response(['status'=>'404']);
        }

    }
    
    
      public function update(Request $request,$id){
        $product = Product::find($id);
        $product->name = $request->name;
        $product->description = $request->description;
        $product->price = $request->price;
        if($request->has('image')){
            $product->image_path = $request->file('image')->store('products');
        }
        $result = $product->save();
        if($result){
            return $product;
        }else{
            return response([
                'error'=>'Product Could Not Be Updated'
            ]);
        }
    }

}
